import "./App.css";
import { BrowserRouter as Router, Route, Routes } from "react-router-dom";

import { _Login } from "../src/pages/login";
import { _Seatlayout } from "../src/pages/seat-layout";
import { _Confirmation } from "../src/pages/confirmation";
import { AuthGuard } from "./auth/index";

import { _seatLimit } from "../src/pages/seat-limit";

function App() {
  return (
    <div className="App">
      <Router>
        <Routes>
          <Route path="/" element={<_Login />} />
          <Route
            path="/seat-limit"
            element={<AuthGuard component={_seatLimit} />}
          />
          <Route
            path="/booking"
            element={<AuthGuard component={_Seatlayout} />}
          />
          <Route
            path="/confirmation"
            element={<AuthGuard component={_Confirmation} />}
          />
          {/* Default route */}
          <Route path="*" element={_Login} />
        </Routes>
      </Router>
    </div>
  );
}

export default App;
