import { useEffect } from "react";
import { useLocation, useNavigate } from "react-router-dom";
// import { _Login } from "../pages/login";
export function AuthGuard({ component: Component, ...props }) {
  const isLogged = sessionStorage.getItem("userId") != null ? true : false;

  const navigate = useNavigate();
  const location = useLocation();
  const currentPath = sessionStorage.getItem("currentPath");
  useEffect(() => {
    if (!isLogged) {
      sessionStorage.clear();
      navigate("/");
    } else if (isLogged && location.pathname != currentPath) {
      navigate(currentPath);
    }
  }, [isLogged, location.pathname, navigate]);

  // If logged in (session has a value), render the protected component
  if (isLogged && location.pathname == currentPath) {
    return <Component {...props} />;
  }

  // If not logged in, you can choose to redirect to the home page or handle it differently
  return null; // Return null or render a login component or a message
}
