import Layout from "../../base/layout";
import Image from "../../../assets/conform.png";
import style from "./confirmation.module.css";
import Button from "../../base/button";
import { Link } from "react-router-dom";

function Confirmation({ seatCount, seats, onLogOut, onEdit }) {
  return (
    <Layout title="Booking Confirmed">
      <div className={style.confirmation}>
        <img src={Image} loading="lazy" />
        <span>
          Seat's Count:<h4>{seatCount}</h4>
        </span>

        <span>
          Booked Seats:
          <h3> {seats?.toString()}</h3>
        </span>
        <Button onClick={onEdit}>Modify</Button>
        <div className={style.logout} onClick={onLogOut}>
          <Link to="/">LogOut</Link>
        </div>
      </div>
    </Layout>
  );
}

export default Confirmation;
