import { useState } from "react";
import Button from "../../base/button";
import Layout from "../../base/layout";
import Input from "../../base/input";
import { toast } from "react-toastify";
function SeatLimit({ onLimit, ...props }) {
  const [limit, setLimit] = useState(0);
  const handleLimit = (e) => {
    e.preventDefault();
    if (limit > 0) {
      onLimit({ limit });
      sessionStorage.setItem("seatLimit", limit);
    } else {
      toast.info("Please enter atleast 1 seat");
    }
  };
  return (
    <Layout title="How many seats?">
      <form onSubmit={handleLimit} className="form">
        <div>
          <label className="label">No of seats:</label>
          <Input
            type="number"
            value={limit}
            onChange={(e) => setLimit(e.target.value)}
            min="1"
            max="10"
          />
          {/* <input
            className={styles.input}
            type="number"
            value={limit}
            onChange={(e) => setLimit(e.target.value)}
          /> */}
        </div>
        <Button {...props}>Book Seats</Button>
      </form>
    </Layout>
  );
}
export default SeatLimit;
