import { useEffect, useLayoutEffect, useState } from "react";
import SeatLayout from "../components/top-level/seat-layout";
import { useAppContext } from "../_context";
import { useLocation, useNavigate } from "react-router-dom";
import { bookingSeats } from "./seed";

export function _Seatlayout() {
  const { userseats, AddOrUpdateSeats, GetAllSeats } = useAppContext();
  const [seats, setSeats] = useState([]);
  const [reservedSeat, setReservedSeat] = useState([]);
  const [selectedSeat, setSelectedSeat] = useState([]);
  const navigate = useNavigate();
  const userId = sessionStorage.getItem("userId");
  const seatLimit = sessionStorage.getItem("seatLimit");
  const location = useLocation();
  const seatState = location?.state?.seats;
  useLayoutEffect(() => {
    handleLoad();
  }, []);
  useEffect(() => {
    handleReservedSeats();
    setSeats(userseats);
  }, [seats, userseats]);
  const handleLoad = async () => {
    if (seatState) {
      setSeats(location?.state?.seats);
      return null;
    }

    await GetAllSeats();
  };
  const handleReservedSeats = () => {
    let seatArray = [];
    const reservedSeats = seats?.filter((e) => e.id != userId);
    reservedSeats.forEach((element) => {
      element.seats.forEach((e) => {
        seatArray = [...seatArray, e];
        setReservedSeat(seatArray);
      });
    });
    const selectedSeats = seats?.find((e) => e.id == userId);
    const results = selectedSeats?.seats;
    setSelectedSeat(results);
  };

  const handleConfirmed = async ({ id, seats }) => {
    await AddOrUpdateSeats({ id, seats });
    sessionStorage.setItem("currentPath", "/confirmation");
    navigate("/confirmation", { state: { seats: seats } });
  };

  return (
    <SeatLayout
      userId={userId}
      seatLimit={seatLimit}
      seats={bookingSeats}
      selectedSeats={selectedSeat}
      reservedSeats={reservedSeat}
      onClick={handleConfirmed}
    />
  );
}
